zenilib: FTC_ManagerRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FTC_ManagerRec_ Struct Reference

`#include <ftcmanag.h>`

## Public Attributes

FTC_Cache | caches [FTC_MAX_CACHES]
FT_ULong | cur_weight
FTC_MruListRec | faces
FT_Library | library
FT_ULong | max_weight
FT_Memory | memory
FTC_Node | nodes_list
FT_UInt | num_caches
FT_UInt | num_nodes
FT_Pointer | request_data
FTC_Face_Requester | request_face
FTC_MruListRec | sizes

## Detailed Description

Definition at line 91 of file ftcmanag.h.

## Member Data Documentation

FTC_Cache FTC_ManagerRec_::caches[FTC_MAX_CACHES]

Definition at line 101 of file ftcmanag.h.

Referenced by ftc_node_destroy().

FT_ULong FTC_ManagerRec_::cur_weight

Definition at line 98 of file ftcmanag.h.

Referenced by ftc_cache_add(), FTC_Cache_Clear(), FTC_Cache_RemoveFaceID(), and ftc_node_destroy().

FTC_MruListRec FTC_ManagerRec_::faces

Definition at line 104 of file ftcmanag.h.

Referenced by FTC_Manager_New().

FT_Library FTC_ManagerRec_::library

Definition at line 93 of file ftcmanag.h.

Referenced by ftc_face_node_init(), and FTC_Manager_New().

FT_ULong FTC_ManagerRec_::max_weight

Definition at line 97 of file ftcmanag.h.

Referenced by ftc_cache_add(), and FTC_Manager_New().

FT_Memory FTC_ManagerRec_::memory

Definition at line 94 of file ftcmanag.h.

Referenced by FTC_Manager_New(), and ftc_snode_load().

FTC_Node FTC_ManagerRec_::nodes_list

Definition at line 96 of file ftcmanag.h.

Referenced by ftc_node_mru_link(), and ftc_node_mru_unlink().

FT_UInt FTC_ManagerRec_::num_caches

Definition at line 102 of file ftcmanag.h.

Referenced by ftc_node_destroy().

FT_UInt FTC_ManagerRec_::num_nodes

Definition at line 99 of file ftcmanag.h.

Referenced by ftc_node_destroy(), ftc_node_mru_link(), and ftc_node_mru_unlink().

FT_Pointer FTC_ManagerRec_::request_data

Definition at line 107 of file ftcmanag.h.

Referenced by ftc_face_node_init(), and FTC_Manager_New().

FTC_Face_Requester FTC_ManagerRec_::request_face

Definition at line 108 of file ftcmanag.h.

Referenced by ftc_face_node_init(), and FTC_Manager_New().

FTC_MruListRec FTC_ManagerRec_::sizes

Definition at line 105 of file ftcmanag.h.

Referenced by ftc_face_node_done(), and FTC_Manager_New().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cache/ftcmanag.h